# Prepare track 1 for CD burning
# place items end to end and add item start "#" markers with suffixed take names

RPR_Undo_BeginBlock()

# remove all project markers:
Marker = RPR_EnumProjectMarkers2(0, 0, 0, 0, 0, 0, 0)
IDX = Marker[0]
while IDX > 0:
	MarkIdx = Marker[7]  # gets the last (seventh) item of the return array, the marker index number
	RPR_DeleteProjectMarker( 0, MarkIdx, 0)
	Marker = RPR_EnumProjectMarkers2(0, 0, 0, 0, 0, 0, 0)
	IDX = Marker[0]

# unselect all tracks, select the first track.	Just for convenience. Not necessary to make the script work:
TrackCount = RPR_CountTracks(0)
TrackIndex = 0
while TrackIndex < TrackCount:
	track = RPR_GetTrack(0, TrackIndex)
	RPR_SetTrackSelected(track, 0)
	TrackIndex += 1
	
TrackOne = RPR_GetTrack(0, 0) #The left 0 is "current project" (not clear on this), the right 0 means "the track with the lowest track number (track 1)"
RPR_SetTrackSelected(TrackOne, 1)

# do the item moving and marker stuff:
ItemCount = RPR_CountTrackMediaItems(TrackOne)
ItemIndex = 0
ProjectStart = 0
StartOfNext = 0 

while ItemIndex < ItemCount:
	item = RPR_GetMediaItem(0, ItemIndex) 
	RPR_SetMediaItemPosition(item, StartOfNext, 0)	
	item_length = RPR_GetMediaItemInfo_Value(item, "D_LENGTH")
	active_take = RPR_GetActiveTake(item) # pointer to active take
	take_name = RPR_GetSetMediaItemTakeInfo_String(active_take, "P_NAME", "", False)[3] #gets name of active take
	marker_name = "# " + take_name # prefixes the take's name with "#"
	RPR_AddProjectMarker(0, 0, StartOfNext, 8, marker_name, ItemIndex + 1)
	StartOfNext = StartOfNext + item_length 
	ItemIndex +=1 

RPR_UpdateTimeline()
RPR_Undo_EndBlock("Prepare for CD burning",0) # why does the string "Prepare..." not come up in the undo history? It did in previous versions of the script...
 
#-